---
apiVersion: extensions/v1beta1
kind: Deployment
metadata:
  name: kernel-applicanttype-service
spec:
  replicas: 1
  minReadySeconds: 10
  strategy:
    type: RollingUpdate
    rollingUpdate:
      maxUnavailable: 1
      maxSurge: 1 
  template:
    metadata:
      labels:
        app: kernel-applicanttype-service
    spec:
      containers:
      - name: kernel-applicanttype-service
        image: docker-registry.mosip.io:5000/kernel-applicanttype-service
        env:
        - name: active_profile_env
          value: dev
        - name: spring_config_label_env
          value: 0.11.0
        - name: spring_config_url_env
          value: http://kernel-config-server:51000/config
        ports:
        - containerPort: 8094
        imagePullPolicy: Always
      imagePullSecrets:
      - name: pvt-reg-cred
---
apiVersion: v1
kind: Service
metadata:
  name: kernel-applicanttype-service
spec:
  ports:
    - port: 8094
  selector:
    app: kernel-applicanttype-service